Add 1 GB of RAM to accounting service instances
Jun 13, 2018 09:59 AM - Roberto Cirillo
Infrastructure: Production

Description

The accounting instances have the following (default) heap limits:
—Xms2048m —-Xmx2048m

but the VM have only 2 GB of RAM.
We need decrease the memory limit in this way:

tomcat_m_min_heap_size: 512m
tomcat_m_heap_size: 1536m

History

#1 - Jun 13, 2018 10:33 AM - Roberto Cirillo

- Status changed from New to In Progress

I don't know if it's better to decrease the heap size or to increase the RAM. At this moment both the instances are swapping:

accounting-servicel.d4science.org
accounting-service2.d4science.org

s0, what do you suggest, @andrea.dellamico@isti.cnr.it , @tommaso.piccioli@isti.cnr.it ?

#2 - Jun 13, 2018 10:33 AM - Roberto Cirillo
- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer
#3 - Jun 13,2018 11:20 AM - Andrea Dell'Amico

e |t would be better adding 1 GB of RAM each, I've always seen heap memory problems with smartgears nodes with less than 2GB of RAM.

¢ | also always saw problems when the min and max heap sizes differ. | don't see a reason to use different values, the services live on dedicated
VMs and the applications always try to use all the available memory anyway.

¢ There's also accounting-service3.d4science.org. It's registered on the load balancer, but it's down. If it's not used we should destroy and remove
it from the configurations.

#4 - Jun 13, 2018 11:32 AM - Roberto Cirillo

- Subject changed from Decrease heap size on accounting service instances to Add 1 GB of RAM to accounting service instances

OK | agree for adding 1 GB of RAM for each instance.
| don't know why accounting-service3 is down, maybe @luca.frosini@isti.cnr.it knows the reason.
FYI at this moment there is sdi.d4science.org that is running with less than 2 GB of RAM without problems for the moment.

#5-Jun 13,2018 11:40 AM - Tommaso Piccioli
sdi.d4science.org tomcat was restarted this morning, before the restart there was a memory warning on nagios.

http://nagios.d4science.org/cgi-bin/nagios3/trends.cgi?t1=1528840800&t2=152888304 1&host=sdi.d4science.org&service=Memory+status&assumeini

tialstates=yes&assumestateretention=yes&assumestatesduringnotrunning=yes&includesoftstates=no&initialassumedhoststate=0&initialassumedservi
= ktrack=4&tim riod=l 1 zoom=4

#6 - Jun 13, 2018 05:09 PM - Andrea Dell'Amico
http://nagios.d4science.org/cgi-bin/nagios3/trends.cgi?t1=1528840800&t2=1528883041&host=sdi.d4science.org&service=Memory+status&assumeinitialstates=yes&assumestateretention=yes&assumestatesduringnotrunning=yes&includesoftstates=no&initialassumedhoststate=0&initialassumedservicestate=0&backtrack=4&timeperiod=last31days&zoom=4
http://nagios.d4science.org/cgi-bin/nagios3/trends.cgi?t1=1528840800&t2=1528883041&host=sdi.d4science.org&service=Memory+status&assumeinitialstates=yes&assumestateretention=yes&assumestatesduringnotrunning=yes&includesoftstates=no&initialassumedhoststate=0&initialassumedservicestate=0&backtrack=4&timeperiod=last31days&zoom=4
http://nagios.d4science.org/cgi-bin/nagios3/trends.cgi?t1=1528840800&t2=1528883041&host=sdi.d4science.org&service=Memory+status&assumeinitialstates=yes&assumestateretention=yes&assumestatesduringnotrunning=yes&includesoftstates=no&initialassumedhoststate=0&initialassumedservicestate=0&backtrack=4&timeperiod=last31days&zoom=4

accounting-service3.d4science.org only had a non working tomcat, now it's on line.

@luca.frosini@isti.cnr.it we add 1 GB of RAM on each node, OK?

#7 - Jun 13, 2018 05:24 PM - Luca Frosini

yes, please

#8 - Jun 13, 2018 06:23 PM - Andrea Dell'Amico
- Status changed from Feedback to In Progress

- % Done changed from 0 to 10

I'm doing it, one at a time.

#9 - Jun 13, 2018 06:55 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 10 to 100

Done. Now the three servers run with 3GB of RAM each.

#10 - Jul 03, 2018 03:09 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
